coupang
GET/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categoriesv1

How to get category list

# 01

Summary

Available buyer market: Korean Get the list of all display categories.

# 02

Details

Available buyer market: Korean
Get the list of all display categories.

Path

GET

/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories

Example Endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories

Request Parameters

Request Example

not require body

Response Message

Name Type Description
code String
results code
SUCCESS/ERROR
message String
message
data Array
list of display categories (also known as exposed categories) 
repeats N times, as many as the resulting display categories
  displayCategoryCode String
display category code 
repeats N times, as many as the resulting display categories
  name String
display category name 
repeats N times, as many as the resulting display categories 
  status String
display category status
Status Description
ACTIVE in service
READY not yet in service (coming soon) 
DISABLED not in service
  child Array
it's a sub-category that is displayed to the customers
if there's none, []
category info is identical 
    displayCategoryCode String
see above
    name String
see above
    status String
see above
    child String
display sub-category

Response Example

{
  "code": "SUCCESS",
  "message": "",
  "data": {
    "displayItemCategoryCode": 0,
    "name": "ROOT",
    "status": "ACTIVE",
    "child": [
      {
        "displayItemCategoryCode": 69182,
        "name": "패션의류잡화",
        "status": "ACTIVE",
        "child": [
          {
            "displayItemCategoryCode": 69183,
            "name": "여성패션",
            "status": "ACTIVE",
            "child": [
              {
                "displayItemCategoryCode": 69184,
                "name": "여성의류",
                "status": "ACTIVE",
                "child": [
                  {
                    "displayItemCategoryCode": 79268,
                    "name": "티셔츠",
                    "status": "ACTIVE",
                    "child": [
                      {
                        "displayItemCategoryCode": 79383,
                        "name": "민소매/나시",
                        "status": "ACTIVE",
                        "child": [
                          
                        ]
                      },
                      {
                        "displayItemCategoryCode": 79382,
                        "name": "반소매",
                        "status": "ACTIVE",
                        "child": [
                          
                        ]
                      },
                      {
                        "displayItemCategoryCode": 79381,
                        "name": "긴소매",
                        "status": "ACTIVE",
                        "child": [
                          
                        ]
                      }
                    ]
                  },
                  {
                    "displayItemCategoryCode": 69186,
                    "name": "맨투맨",
                    "status": "ACTIVE",
                    "child": [
                      
                    ]
                  },
                  {
                    "displayItemCategoryCode": 79269,
                    "name": "후드티",
                    "status": "ACTIVE",
                    "child": [
                      
                    ]
                  },
                  {
                    "displayItemCategoryCode": 69187,
                    "name": "블라우스",
                    "status": "ACTIVE",
                    "child": [
                      
                    ]
                  },
                  {
                    "displayItemCategoryCode": 69188,
                    "name": "셔츠(남방)",
                    "status": "ACTIVE",
                    "child": [
                      
                    ]
                  },
                  
                  ...... 중략 ......
                  
                  {                    
                    "displayItemCategoryCode": 86393,
                    "name": "양봉용품",
                    "status": "ACTIVE",
                    "child": [
                      {
                        "displayItemCategoryCode": 86389,
                        "name": "양봉의류",
                        "status": "ACTIVE",
                        "child": [
                          
                        ]
                      },
                      {
                        "displayItemCategoryCode": 86390,
                        "name": "양봉모자/잡화",
                        "status": "ACTIVE",
                        "child": [
                          
                        ]
                      },
                      {
                        "displayItemCategoryCode": 86391,
                        "name": "벌통",
                        "status": "ACTIVE",
                        "child": [
                          
                        ]
                      },
                      {
                        "displayItemCategoryCode": 86392,
                        "name": "양봉용 자재",
                        "status": "ACTIVE",
                        "child": [
                          
                        ]
                      }
                    ]
                  }
                ]
              }
            ]
          }
        ]
      }
    ]
  }
}